## Ziel

Sehr knappe Zusammenfassung des Proposals (Titel/Überschrift)

## Beschreibung

- Problembeschreibung bzw. Ziel der Änderung
- Begründung, warum das Proposal sinnvoll bzw. notwendig erscheint
- Eine Widerlegung der wichtigsten Einwände sollte stichpunktartig enthalten sein.

## Maßnahmen

### Überblick

- Knappe Beschreibung einer Lösung ohne Implementationsdetails
- sollte dennoch in Grundzügen auf wichtige Punkte eingehen (neue DB-Tabellen, Benutzung von vorhandenen Funktionalitäten,...).

### Details

- konkrete Beschreibung, die keine wesentlichen Fragen hinsichtlich technischer Umsetzung und Interfacegestaltung offen lässt.
- kann schrittweise entwickelt werden

## Kurzbezeichnung des Integrationsaufwandes

- **gering**<br>
  eigenständiges Modul, das über Konfigurationsschalter komplett ein-/ausschaltbar ist oder Änderungen an einzelnen Dateien, die keine Änderungen an Datenbank oder systemweit genutzten Datenstrukturen erfordern
- **mittel**<br>
   tief greifende Änderung an wenigen Dateien, die geringe Modifikationen der Datenbankstruktur erfordern und keine systemweiten Auswirkungen haben, oder geringfügige Änderungen an vielen Dateien, die gut überschaubare systemweite Auswirkungen haben
- **hoch**<br>
  alle Änderungen mit gravierenden systemweiten Auswirkungen

## Durchführung

- Verbindliches Angebot eines Durchführungsplanes, bestehend aus:
  - klar benannter Zuständigkeit für Implementation, Testing und Pflege
  - Aufwandsabschätzung für Implementation, Testing und Pflege
  - mit dem Releasezyklus abgestimmter Zeitplan

## Links

- [Regeln für StEPs](https://develop.studip.de/studip/dispatch.php/course/scm/9f22a869f704747dd066fbfe7ef55684?cid=1927f2b86d6b185aa6c6697810ad42f1)

/label ~StEP ~"Anwendungs-Doku ?" ~"Code-Review ?" ~"Entwicklungs-Doku ?" ~"Funktionalität ?" ~"GUI-Richtlinien ?" ~"Schnittstellen ?" ~"Textstrings ?"
